import json

def convert_jsonl_to_dict(input_file, output_file):
    with open(input_file, 'r') as f:
        with open(output_file, 'w') as out_file:
            for line in f:
                data = json.loads(line)
                data['new_key'] = 'new_value'  # 添加新键
                out_file.write(json.dumps({'text':data['text'], 'idx':data['meta']['url']}) + '\n')

# 输入和输出文件的路径
input_file_path = '/workspace/medvicuna/pretrain_data_170G/stackexchange_2485424.jsonl'
output_file_path = '/workspace/medvicuna/pretrain_data_170G/stackexchange_2485424_idx.jsonl'

# 调用函数进行转换和保存
convert_jsonl_to_dict(input_file_path, output_file_path)